Loading...
Searching...
No Matches
Dune::OverlappingSchwarzInitializer< I, S, D > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

Initializer for SuperLU Matrices representing the subdomains. More...

`#include <dune/istl/overlappingschwarz.hh>`

## Public Types

typedef D | subdomain_vector
| The vector type containing the subdomain to row index mapping.
typedef I | InitializerList
typedef InitializerList::value_type | AtomInitializer
typedef AtomInitializer::Matrix | Matrix
typedef Matrix::const_iterator | Iter
typedef Matrix::row_type::const_iterator | CIter
typedef S | IndexSet
typedef IndexSet::size_type | size_type

## Public Member Functions

| OverlappingSchwarzInitializer (InitializerList &il, const IndexSet &indices, const subdomain_vector &domains)
void | addRowNnz (const Iter &row)
void | allocate ()
void | countEntries (const Iter &row, const CIter &col) const
void | calcColstart () const
void | copyValue (const Iter &row, const CIter &col) const
void | createMatrix () const

## Detailed Description

template<class I, class S, class D>
class Dune::OverlappingSchwarzInitializer< I, S, D >

Initializer for SuperLU Matrices representing the subdomains.

## Member Typedef Documentation

## AtomInitializer

template<class I, class S, class D>

typedef InitializerList::value_type Dune::OverlappingSchwarzInitializer< I, S, D >::AtomInitializer

## CIter

template<class I, class S, class D>

typedef Matrix::row_type::const_iterator Dune::OverlappingSchwarzInitializer< I, S, D >::CIter

## IndexSet

template<class I, class S, class D>

typedef S Dune::OverlappingSchwarzInitializer< I, S, D >::IndexSet

## InitializerList

template<class I, class S, class D>

typedef I Dune::OverlappingSchwarzInitializer< I, S, D >::InitializerList

## Iter

template<class I, class S, class D>

typedef Matrix::const_iterator Dune::OverlappingSchwarzInitializer< I, S, D >::Iter

## Matrix

template<class I, class S, class D>

typedef AtomInitializer::Matrix Dune::OverlappingSchwarzInitializer< I, S, D >::Matrix

## size_type

template<class I, class S, class D>

typedef IndexSet::size_type Dune::OverlappingSchwarzInitializer< I, S, D >::size_type

## subdomain_vector

template<class I, class S, class D>

typedef D Dune::OverlappingSchwarzInitializer< I, S, D >::subdomain_vector

The vector type containing the subdomain to row index mapping.

The documentation for this class was generated from the following files:

- bccsmatrixinitializer.hh
- overlappingschwarz.hh